#if !defined(AFX_DLGDOWNLOADFILE_H__25233E8D_EC39_446D_9E64_2A16D7AD797E__INCLUDED_)
#define AFX_DLGDOWNLOADFILE_H__25233E8D_EC39_446D_9E64_2A16D7AD797E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgDownloadFile.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgDownloadFile dialog

class CDlgDownloadFile : public CDialog
{
// Construction
public:
	DWORD GetEndTime();
	DWORD GetStartTime();
	int	  m_language;
	CDlgDownloadFile(UINT nIDTemplate = CDlgDownloadFile::IDD,CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgDownloadFile)
	enum { IDD = IDD_DLG_DOWNLOADBTTIME };
	COleDateTime	m_startTime;
	COleDateTime	m_endTime;
	COleDateTime	m_endDate;
	COleDateTime	m_startDate;	
	CString			m_szDownloadfile;
	//}}AFX_DATA
	COleDateTime	m_allFileTime;
	DWORD			m_filecreatetime;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDownloadFile)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDownloadFile)
	afx_msg void OnBtnBrowse();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGDOWNLOADFILE_H__25233E8D_EC39_446D_9E64_2A16D7AD797E__INCLUDED_)
